summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Lehman Black <bzqwerty[at]gmail[dot]com>2010-05-11 14:03:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:03:47 +0200
commit5614c2f9dbe9ed336219b25fcd98a4f8a1409c24 (patch)
tree035b346e99d2c7b662e57d3bc26c4b30f259a62c /desktop
parent110a47a0d05bb5a643211b449f97a0bd8e00a122 (diff)
downloadslackbuilds-5614c2f9dbe9ed336219b25fcd98a4f8a1409c24.tar.gz
slackbuilds-5614c2f9dbe9ed336219b25fcd98a4f8a1409c24.tar.xz
desktop/oroborus: Initial import
Diffstat (limited to 'desktop')
-rw-r--r--desktop/oroborus/README15
-rw-r--r--desktop/oroborus/oroborus.SlackBuild70
-rw-r--r--desktop/oroborus/oroborus.info8
-rw-r--r--desktop/oroborus/slack-desc11
-rw-r--r--desktop/oroborus/xinitrc.oroborus31
5 files changed, 135 insertions, 0 deletions
diff --git a/desktop/oroborus/README b/desktop/oroborus/README
new file mode 100644
index 0000000000..a7b2e3e62d
--- /dev/null
+++ b/desktop/oroborus/README
@@ -0,0 +1,15 @@
+Oroborus is a small yet fully featured GNOME compliant window manager for the
+X Window System. It is distributed under the GPL (see LICENSE for more details).
+
+The main aim of Oroborus is to be small and light with very few fancy features,
+so there are no docks, no taskbars, no root menus and no icons. These can be
+added quite easily by either using Oroborus with GNOME or using some other
+applications that provide the required functionality.
+
+Oroborus reads its defaults from either /usr/share/oroborus/defaults or
+$HOME/.oroborusrc. An example rc file is included in /usr/doc/oroborus-$VERSION
+Themes and schemes can be found in /usr/share/oroborus.
+
+You may also want to install the keylaunch, deskmenu, and desklaunch programs
+found on the oroborus home page.
+
diff --git a/desktop/oroborus/oroborus.SlackBuild b/desktop/oroborus/oroborus.SlackBuild
new file mode 100644
index 0000000000..0ccccbf413
--- /dev/null
+++ b/desktop/oroborus/oroborus.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+######################################
+# Slackware Build Script #
+######################################
+# BUILDS: Oroborus #
+# HOME: http://www.oroborus.org/ #
+# AUTHOR: Lehman Black #
+# CONTACT: bzqwerty[at]gmail[dot]com #
+######################################
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=oroborus
+VERSION=2.0.18
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP || exit 1
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README AUTHORS COPYING ChangeLog INSTALL NEWS TODO example.oroborusrc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Let's add an xinitrc file so it will show up in xwmconfig's list of choices
+install -D -m 0755 $CWD/xinitrc.oroborus $PKG/etc/X11/xinit/xinitrc.oroborus
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/oroborus/oroborus.info b/desktop/oroborus/oroborus.info
new file mode 100644
index 0000000000..1b7c42305e
--- /dev/null
+++ b/desktop/oroborus/oroborus.info
@@ -0,0 +1,8 @@
+PRGNAM="oroborus"
+VERSION="2.0.18"
+HOMEPAGE="http://www.oroborus.org"
+DOWNLOAD="http://www.oroborus.org/debian/dists/sid/main/source/x11/oroborus_2.0.18.tar.gz"
+MD5SUM="d9b94935d6b904ddeadb9b83f2159565 "
+MAINTAINER="Lehman Black"
+EMAIL="bzqwerty[at]gmail[dot]com"
+APPROVED="robw810"
diff --git a/desktop/oroborus/slack-desc b/desktop/oroborus/slack-desc
new file mode 100644
index 0000000000..e819357c0f
--- /dev/null
+++ b/desktop/oroborus/slack-desc
@@ -0,0 +1,11 @@
+oroborus: Oroborus (window manager)
+oroborus:
+oroborus: Oroborus basically is a really minimalistic window manager.
+oroborus: "Minimalistic" means that the Oroborus window manager doesn't
+oroborus: provide some things other window managers provide. The Oroborus
+oroborus: website has some external tools to supliment the window manager
+oroborus: if desired.
+oroborus:
+oroborus: http://www.oroborus.org
+oroborus:
+oroborus:
diff --git a/desktop/oroborus/xinitrc.oroborus b/desktop/oroborus/xinitrc.oroborus
new file mode 100644
index 0000000000..39a8df9174
--- /dev/null
+++ b/desktop/oroborus/xinitrc.oroborus
@@ -0,0 +1,31 @@
+#!/bin/sh
+# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
+sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+# Start some programs:
+xterm &
+
+# Start the window manager:
+exec oroborus